import Ember from 'ember';

export default Ember.Route.extend({

  player: Ember.inject.service(),
  filter: Ember.inject.service(),

  model() {
    return this.get('store').query('language', this.get('filter').get('queryParamsValues'));
  },

  activate() {
    this.get('player').set('window', false);
  },

});
